Symfony 5.0.4 released

Symfony 5.0.4 has just been released. Here is a list of the most important changes:

  • bug #35530 [HttpClient] Fix regex bearer (@noniagriconomie)
  • bug #35532 [Validator] fix access to uninitialized property when getting value (@greedyivan)
  • bug #35486 [Translator] Default value for 'sort' option in translation:update should be 'asc' (@versgui)
  • bug #35305 [HttpKernel] Fix stale-if-error behavior, add tests (@mpdude)
  • bug #34808 [PhpUnitBridge] Properly handle phpunit arguments for configuration file (@biozshock)
  • bug #35517 [Intl] Provide more locale translations (@ro0NL)
  • bug #35518 [Mailer] Fix STARTTLS support for Postmark and Mandrill (@fabpot)
  • bug #35480 [Messenger] Check for all serialization exceptions during message dec… (@Patrick Berenschot)
  • bug #35502 [Messenger] Fix bug when using single route with XML config (@Nyholm)
  • bug #35438 [SecurityBundle] fix lda _bind service arguments (@Ioni14)
  • bug #35429 [DI] CheckTypeDeclarationsPass now checks if value is type of parameter type (@pfazzi)
  • bug #35464 [ErrorHandler] Add debug argument to decide whether debug page is shown or not (@yceruto)
  • bug #35423 Fixes a runtime error when accessing the cache panel (@DamienHarper)
  • bug #35428 [Cache] fix checking for igbinary availability (@nicolas-grekas)
  • bug #35424 [HttpKernel] Check if lock can be released (@sjadema)

Want to upgrade to this new release? Because Symfony protects backwards-compatibility very closely, this should be quite easy. Use SymfonyInsight upgrade reports to detect the code you will need to change in your project and read our upgrade documentation to learn more.

Want to be notified whenever a new Symfony release is published? Or when a version is not maintained anymore? Or only when a security issue is fixed? Consider subscribing to the Symfony Roadmap Notifications.

Comments

Login with SymfonyConnect to post a comment